Bug 174224 - [java, profiling points] profiling points are ignored on first start of a java project
[java, profiling points] profiling points are ignored on first start of a jav...
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Base
6.x
PC Linux
: P4 (vote)
: 6.x
Assigned To: Jaroslav Tulach
issues@profiler
: ERGONOMICS
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-09 13:49 UTC by matusdekanek
Modified: 2009-10-29 12:08 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
screenshot (208.71 KB, image/png)
2009-10-09 13:51 UTC, matusdekanek
Details
mesages.log (266.25 KB, text/plain)
2009-10-09 13:51 UTC, matusdekanek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description matusdekanek 2009-10-09 13:49:26 UTC
Product Version: NetBeans IDE 6.8 M2 (Build 200910071658)
Java: 1.6.0_16; Java HotSpot(TM) Client VM 14.2-b01
System: Linux version 2.6.28-15-generic running on i386; UTF-8; en_US (nb)

-start IDE (it has enabled the ergonomics module)
-create Anagram game sample project
-insert a few profiling points into the project
-close the IDE
-delete the userdir
-start IDE again
-open the previously created Anagram game project
-open the 'profiling points' window - the profiling points of the project are correctly listed
-invoke 'profile main project'
-in the profiler dialog select 'CPU' configuration
-select 'use profiling points' checkbox
-click on 'show active profiling points' link
There are no profiling points listed, although there are listed in the 'profiling points' window. They are ignored
during profiling as well.

With disabled ergonomics everything works fine. Seems that it has something to do with java se activation.
Comment 1 matusdekanek 2009-10-09 13:51:13 UTC
Created attachment 89183 [details]
screenshot
Comment 2 matusdekanek 2009-10-09 13:51:45 UTC
Created attachment 89184 [details]
mesages.log
Comment 3 Jaroslav Tulach 2009-10-27 11:23:45 UTC
ergonomics#29f6e2370333

Please review the code and don't be scared too much by it.
Comment 4 Quality Engineering 2009-10-29 12:08:12 UTC
Integrated into 'main-golden', will be available in build *200910290252* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/29f6e2370333
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #174224: Comparing projects based on their directory.
There is a better method for those who deal with identity of opened projects: OpenProjects.isProjectOpen, but I am not sure how to use it in this class, it seems to keep its own list of "opened projects".


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo